package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TLqinfo;
import com.chinaitop.depot.intelligent.basicdata.model.TLqinfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TLqinfoMapper {
    int countByExample(TLqinfoExample example);

    int deleteByExample(TLqinfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TLqinfo record);

    int insertSelective(TLqinfo record);

    List<TLqinfo> selectByExample(TLqinfoExample example);

    TLqinfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TLqinfo record, @Param("example") TLqinfoExample example);

    int updateByExample(@Param("record") TLqinfo record, @Param("example") TLqinfoExample example);

    int updateByPrimaryKeySelective(TLqinfo record);

    int updateByPrimaryKey(TLqinfo record);
}